Bug 144387 - pango rednering patches break entries/textareas in the gtk embedding widget
Summary: pango rednering patches break entries/textareas in the gtk embedding widget
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-06 18:41 UTC by Yanko Kaneti
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 1.7.5-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-09 20:36:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Yanko Kaneti 2005-01-06 18:41:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20050106 Galeon/1.3.18.99

Description of problem:
entry/textarea caret movement using the cursor keys is broken when the
three pango rendering patches (40,41,42) are applied, works fine when
they are commented.

Version-Release number of selected component (if applicable):
mozilla-1.7.5-2

How reproducible:
Always

Steps to Reproduce:
1. open a page with entry/textarea in TestGtkEmbed/epiphany/galeon
2. type "123456" in the entry/area
3. press the left cursor key
    

Actual Results:  the caret "jumps" between 1 and 2

Expected Results:  the caret moves between 5 and 6

Additional info:

Normal text entry is impaired heavily with this bug so I am marking it
High severity

Comment 1 Frederic Crozat 2005-01-07 09:46:28 UTC
To be more precise, patch 41 is causing the problem.

Comment 2 Christopher Blizzard 2005-01-07 19:11:04 UTC
There's apparently an old version of the patch being used in the
package that has a known bug.  Chris is going to look at it. 

Comment 3 Christopher Aillon 2005-01-09 20:36:36 UTC
Somehow I imported the old version of that patch to mozilla.  Fixed in
1.7.5-3, available tomorrow from the usuall places.


Note You need to log in before you can comment on or make changes to this bug.